Search and list constituents
GET
/api/constituents
const url = 'https://example.com/api/constituents';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/constituents \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”query
string
Responses
Section titled “Responses”A list of constituents
Media typeapplication/json
Array<object>
object
id
required
Unique identifier (UUID v4) for the resource.
string format: uuid
householdId
required
UUID (v4) of the constituent household group.
string format: uuid
firstName
First or given name.
string
lastName
Last or family name.
string
phone
E.164 formatted contact phone number.
string
email
Primary email address.
string
addressStreet
Physical street address line.
string
addressCity
City or municipality name.
string
addressState
Two-letter US state abbreviation.
string
addressZip
5-digit US ZIP postal code.
string
dateOfBirth
Date of birth formatted as YYYY-MM-DD.
string format: date
Example
[ { "id": "a1b2c3d4-e5f6-7890-abcd-1234567890ab", "householdId": "50000000-0000-0000-0000-000000000005", "firstName": "Sarah", "lastName": "Jenkins", "phone": "+17045550199", "addressStreet": "456 Oak Avenue", "addressCity": "Concord", "addressState": "NC", "addressZip": "28025", "dateOfBirth": "1988-04-15" }]Unauthorized
Forbidden